<!-- crispy_forms for registration  -->
{% load crispy_forms_tags %}

{% block content %}
{% load static %}

<head>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

    <!-- Bootstrap js -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

    <!-- CSS part  -->
    <link rel="stylesheet" type="text/css" href="{% static '/css/style_log.css' %}">

</head>

<!-- fill all the body into grey color  -->
<body style="background-color:#f0f0f0  " >
       <!-- Create a bootstrap header  -->
       <nav class="navbar navbar-default navbar-fixed-top">
           <div class="container">
               <a class="navbar-brand" href="/home"> <font color="#8b0000">HOME</font> </a>
               
               <ul class="nav navbar-nav navbar-right">
                   {% if user.is_authenticated %}
                   <!-- User is loged  -->
                   <div class="navbar-brand" >Welcome  {{ user.get_username }}.</div>
                   <li class="list-group-item"><a href="/home/logout/">LOGOUT </a></li>
                    {% else %}
                    <!-- User is not loged  -->
                    <div class="navbar-brand" > Welcome   new user.</div>
                    {% endif %}
                </ul>
            </div>
        </nav>

<br><br><br><br>


<center><div class="title_log">Register</div></center>
<br>

<div class="form">
    <form method="POST" class="form-group">
        <!-- Register form  --> 
        {% csrf_token %}
        {{ form|crispy }}

        <button type="submit" class="btn btn-default btn-lg">register </button>
        <br><br>

        <!-- Login link  --> 
        <p> Do you already have an account ? :
        <a href="/login"><button type="button" class="btn btn-primary btn-sm">Login</button>  </a>
    </form>
</div>

{% endblock %}
